First post from me - what a fab site. Thanks for everyone that contributes.

After having 1.0.2 on a phone i bought new from the USA (hamgo.com) that was already unlocked and works fine in the UK with my orange sim, i decided to upgrade to 1.1.2 last night.

Ive read many posts here and am a little bewildered as what to do next.
Last night I upgraded to 1.1.1 using the links from this site, then activated the phone. Then upgraded to 1.1.2

I folowed http://www.iphonesimfreer.com/jailbreak.html instructions to the word..

I have downloaded 1.1.1 & 1.1.2 to pc.
Run the jailbreak, installer, tweaks for 1.1.2
Then installed 1.1.2
Ive done the okotprep stuff
run the tweaks
then fnally run the SSH / Boot recovery 1.1.2
I have activated the phone and get to the home screen.

But when i try to run the anysim application form the phone it says it needs 1.1.1 firmware.

PLEASE HELP! can I just get a anysim type prog (for 1.1.2) or should I downgrade to 1.1.1?

Can someone with a liuttle bit more expertise than me please advise.

Regads Chrispy